<?xml version='1.0' encoding='windows-1252' ?>
<!DOCTYPE ViewObject SYSTEM "jbo_03_01.dtd">

<ViewObject
   Name="LoggedInUser"
   SelectList="Users.USER_ID, 
       Users.EMAIL, 
       Users.FIRST_NAME, 
       Users.LAST_NAME"
   FromList="USERS Users"
   Where="Users.EMAIL = :EmailAddress"
   BindingStyle="OracleName"
   CustomQuery="false"
   RowClass="oracle.srdemo.model.queries.LoggedInUserRowImpl"
   ComponentClass="oracle.srdemo.model.queries.LoggedInUserImpl"
   FetchMode="FETCH_AS_NEEDED"
   MaxFetchSize="1"
   UseGlueCode="false" >
   <DesignTime>
      <Attr Name="_isCodegen" Value="true" />
      <Attr Name="_version" Value="10.1.3.36.73" />
      <Attr Name="_objectSuperClassName" Value="oracle.srdemo.model.frameworkExt.SRViewObjectImpl" />
      <Attr Name="_codeGenFlag2" Value="Access|Coll|VarAccess" />
   </DesignTime>
   <Variable
      Name="EmailAddress"
      Kind="where"
      Type="java.lang.String" >
      <Properties>
         <Property Name ="DynamicDefaultValue" Value ="CurrentUser" />
      </Properties>
   </Variable>
   <Data>
      <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
      <Property Name ="ID" Value ="3fd197bf-010a-1000-80d2-8d9088295bcf::::ViewObject" />
      <Property Name ="IS_ABSTRACT" Value ="FALSE" />
      <Property Name ="IS_ACTIVE" Value ="FALSE" />
      <Property Name ="IS_LEAF" Value ="FALSE" />
      <Property Name ="IS_ROOT" Value ="FALSE" />
      <Property Name ="VISIBILITY" Value ="PUBLIC" />
   </Data>
   <EntityUsage
      Name="Users"
      Entity="oracle.srdemo.model.entities.User" >
      <Data>
         <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
         <Property Name ="ID" Value ="3fd197bf-010a-1000-80d7-8d9088295bcf::queries.LoggedInUser$Users::EntityObjectInstance" />
         <Property Name ="IS_ABSTRACT" Value ="FALSE" />
         <Property Name ="IS_ACTIVE" Value ="FALSE" />
         <Property Name ="IS_LEAF" Value ="FALSE" />
         <Property Name ="IS_ROOT" Value ="FALSE" />
         <Property Name ="VISIBILITY" Value ="PUBLIC" />
      </Data>
      <DesignTime>
         <Attr Name="_queryClause" Value="true" />
         <Attr Name="_queryWhere" Value="Users.EMAIL = :EmailAddress" />
      </DesignTime>
   </EntityUsage>
   <ViewAttribute
      Name="UserId"
      IsNotNull="true"
      EntityAttrName="UserId"
      EntityUsage="Users"
      AliasName="USER_ID" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd197bf-010a-1000-80d3-8d9088295bcf::queries.LoggedInUser::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <ViewAttribute
      Name="Email"
      IsUnique="true"
      IsNotNull="true"
      EntityAttrName="Email"
      EntityUsage="Users"
      AliasName="EMAIL" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd197bf-010a-1000-80d4-8d9088295bcf::queries.LoggedInUser::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <ViewAttribute
      Name="FirstName"
      IsNotNull="true"
      EntityAttrName="FirstName"
      EntityUsage="Users"
      AliasName="FIRST_NAME" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd197bf-010a-1000-80d5-8d9088295bcf::queries.LoggedInUser::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <ViewAttribute
      Name="LastName"
      IsNotNull="true"
      EntityAttrName="LastName"
      EntityUsage="Users"
      AliasName="LAST_NAME" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd197bf-010a-1000-80d6-8d9088295bcf::queries.LoggedInUser::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <ViewLinkAccessor
      Name="ServiceRequestsByStatus"
      ViewLink="oracle.srdemo.model.queries.viewlinks.RequestsCreatedByOrAssignedToUser"
      Type="oracle.jbo.RowIterator"
      IsUpdateable="false" >
   </ViewLinkAccessor>
</ViewObject>
